Debian Bug report logs - #521515
linux-headers-2.6.29-1-amd64: please restore symlinks into -common

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sat, 28 Mar 2009 01:03:01 UTC

Severity: wishlist

Tags: wontfix

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, openafs@packages.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sat, 28 Mar 2009 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, openafs@packages.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 01:03:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Fri, 27 Mar 2009 21:02:04 -0400
Package: linux-headers-2.6.29-1-amd64
Version: 2.6.29-1
Severity: normal

Historically, /usr/src/linux-headers-VERSION-FLAVOR used to contain
symlinks into /usr/src/linux-headers-VERSION-common for anything not at
least potentially flavor-specific.  As of 2.6.29-1, that no longer
holds, causing trouble for packages such as openafs-modules-source that
don't entirely defer to the kbuild framework.  (OpenAFS is particularly
special due to its age and support for a wide range of platforms, and
makes symlinks to /lib/modules/VERSION-FLAVOR/build/include/linux in
its build tree so that it can variously include the headers as <h/*.h>,
<netinet/*.h>, and <sys/*.h>.)

I have worked around the problem on my own system by throwing together
a package containing a portion of the dropped symlinks (those from and
into .../linux), but would appreciate it if you could please reinstate
the symlinks in the flavor-specific linux-headers packages.

Thanks!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-headers-2.6.29-1-amd64 depends on:
ii  gcc-4.3                       4.3.3-5    The GNU C compiler
ii  linux-headers-2.6.29-1-common 2.6.29-1   Common header files for Linux 2.6.
ii  linux-kbuild-2.6.29           2.6.29-1   Kbuild infrastructure for Linux 2.

linux-headers-2.6.29-1-amd64 recommends no packages.

linux-headers-2.6.29-1-amd64 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sat, 28 Mar 2009 01:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 01:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 521515@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Fri, 27 Mar 2009 18:10:47 -0700
"Aaron M. Ucko" <ucko@debian.org> writes:

> Historically, /usr/src/linux-headers-VERSION-FLAVOR used to contain
> symlinks into /usr/src/linux-headers-VERSION-common for anything not at
> least potentially flavor-specific.  As of 2.6.29-1, that no longer
> holds, causing trouble for packages such as openafs-modules-source that
> don't entirely defer to the kbuild framework.  (OpenAFS is particularly
> special due to its age and support for a wide range of platforms, and
> makes symlinks to /lib/modules/VERSION-FLAVOR/build/include/linux in its
> build tree so that it can variously include the headers as <h/*.h>,
> <netinet/*.h>, and <sys/*.h>.)
>
> I have worked around the problem on my own system by throwing together a
> package containing a portion of the dropped symlinks (those from and
> into .../linux), but would appreciate it if you could please reinstate
> the symlinks in the flavor-specific linux-headers packages.

We may also be able to fix the OpenAFS build system if this was an
intentional architecture change to solve some problem, although as Aaron
mentions OpenAFS has kernel build support for eight or nine different
UNIXes and a compatibility layer which makes this trickier.

What's the intended use of the new layout in these packages?  Are modules
expected to provide a search path for include files rather than assuming
headers are in one unified location?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sat, 28 Mar 2009 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 22:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 521515@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 23:28:07 +0100
severity 521515 wishlist
tags 521515 wontfix
thanks

On Fri, Mar 27, 2009 at 09:02:04PM -0400, Aaron M. Ucko wrote:
>                                     As of 2.6.29-1, that no longer
> holds, causing trouble for packages such as openafs-modules-source that
> don't entirely defer to the kbuild framework.

There is no reliable way to detect the include paths of the kernel
without using kbuild.

>                  but would appreciate it if you could please reinstate
> the symlinks in the flavor-specific linux-headers packages.

Nope. At least not until you show that it breaks the _documented_ usage.

Bastian

-- 
Most legends have their basis in facts.
		-- Kirk, "And The Children Shall Lead", stardate 5029.5




Severity set to `wishlist' from `normal' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 28 Mar 2009 22:30:06 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 28 Mar 2009 22:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 02:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 02:09:02 GMT) Full text and rfc822 format available.

Message #24 received at 521515@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Russ Allbery <rra@debian.org>
Cc: 521515@bugs.debian.org
Subject: Fwd: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 22:06:51 -0400
[Message part 1 (text/plain, inline)]
Forwarding to Russ, who maintains a package that this change (which
came without warning TTBOMK) seriously inconveniences; please keep him
Cc:ed.

[Message part 2 (message/rfc822, inline)]
From: Bastian Blank <waldi@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 23:28:07 +0100
severity 521515 wishlist
tags 521515 wontfix
thanks

On Fri, Mar 27, 2009 at 09:02:04PM -0400, Aaron M. Ucko wrote:
>                                     As of 2.6.29-1, that no longer
> holds, causing trouble for packages such as openafs-modules-source that
> don't entirely defer to the kbuild framework.

There is no reliable way to detect the include paths of the kernel
without using kbuild.

>                  but would appreciate it if you could please reinstate
> the symlinks in the flavor-specific linux-headers packages.

Nope. At least not until you show that it breaks the _documented_ usage.

Bastian

-- 
Most legends have their basis in facts.
		-- Kirk, "And The Children Shall Lead", stardate 5029.5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 02:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 02:15:02 GMT) Full text and rfc822 format available.

Message #29 received at 521515@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: ucko@debian.org (Aaron M. Ucko)
Cc: 521515@bugs.debian.org
Subject: Re: Fwd: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 19:11:27 -0700
ucko@debian.org (Aaron M. Ucko) writes:

> Forwarding to Russ, who maintains a package that this change (which came
> without warning TTBOMK) seriously inconveniences; please keep him Cc:ed.

[...]

> From: Bastian Blank <waldi@debian.org>

> There is no reliable way to detect the include paths of the kernel
> without using kbuild.

OpenAFS *does* use kbuild.  Aaron, what exactly breaks?  Example error
messages?  Is it just the symlinking to standardize the names of the
header files across platforms that doesn't work?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 02:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 02:24:12 GMT) Full text and rfc822 format available.

Message #34 received at 521515@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Russ Allbery <rra@debian.org>
Cc: ucko@debian.org (Aaron M. Ucko), 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 22:23:28 -0400
Russ Allbery <rra@debian.org> writes:

> OpenAFS *does* use kbuild.  Aaron, what exactly breaks?  Example error
> messages?  Is it just the symlinking to standardize the names of the
> header files across platforms that doesn't work?

Yes:

|   CC [M] /usr/src/modass/usr_src/modules/openafs/src/libafs/MODLOAD-2.6.29-1-amd64-MP/afs_atomlist.o
| In file included from /usr/src/modass/usr_src/modules/openafs/include/afs/afs_sysnames.h:25,
|                  from /usr/src/modass/usr_src/modules/openafs/include/afs/param.h:55,
|                  from /usr/src/modass/usr_src/modules/openafs/src/libafs/MODLOAD-2.6.29-1-amd64-MP/afs_atomlist.c:11:
| /usr/src/modass/usr_src/modules/openafs/include/afs/stds.h:14:23: error: sys/types.h: No such file or directory

followed by a cascade of other errors, starting with

| In file included from /usr/src/modass/usr_src/modules/openafs/src/libafs/MODLOAD-2.6.29-1-amd64-MP/afs_atomlist.c:17:
| /usr/src/modass/usr_src/modules/openafs/src/util/afs_atomlist.h:54: error: expected ‘)’ before ‘atom_size’

OpenAFS could probably adapt by changing h, netinet, and sys under
MODLOAD-* from symlinks to .../include/linux to directories containing
forwarding headers; I'm not sure which specific headers would need
such treatment, but I suspect there are quite a few.

Please let me know if you'd like any other information.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 03:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 03:03:02 GMT) Full text and rfc822 format available.

Message #39 received at 521515@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: ucko@debian.org (Aaron M. Ucko)
Cc: 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 19:58:31 -0700
ucko@debian.org (Aaron M. Ucko) writes:

> OpenAFS could probably adapt by changing h, netinet, and sys under
> MODLOAD-* from symlinks to .../include/linux to directories containing
> forwarding headers; I'm not sure which specific headers would need such
> treatment, but I suspect there are quite a few.

I think that would be these headers:

cd src/afs
egrep -r '#include +["<](sys|netinet|h)/' *.[ch] LINUX/ | awk '{ print $2 }' | sed -e 's,\.\./,,' -e 's/["<>]//g' | sort -u

and as near as I can tell, on Linux, all those headers have the same name
but just have no directory prefix.  So netinet/in.h becomes just in.h,
sys/types.h becomes just types.h, etc.  Does that look right to you?

If so, could you try deleting the h, netinet, and sys symlinks, replace
them with directories, and run:

for f in `cat files`; do
    echo '#include <'$(basename $f)'>' > $f
done

and then see if that makes the build work?  You'll have to do this after
make_kbuild_makefile.pl runs.  (If that's more complexity to testing than
you can easily do, I'll be able to look at it eventually, but I don't have
the new kbuild infrastructure installed anywhere yet.)

rx may require similar treatment.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 03:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 03:18:02 GMT) Full text and rfc822 format available.

Message #44 received at 521515@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Russ Allbery <rra@debian.org>
Cc: ucko@debian.org (Aaron M. Ucko), 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 23:14:41 -0400
Russ Allbery <rra@debian.org> writes:

> egrep -r '#include +["<](sys|netinet|h)/' *.[ch] LINUX/ | awk '{ print $2 }' | sed -e 's,\.\./,,' -e 's/["<>]//g' | sort -u
>
> and as near as I can tell, on Linux, all those headers have the same name
> but just have no directory prefix.  So netinet/in.h becomes just in.h,
> sys/types.h becomes just types.h, etc.  Does that look right to you?

Not quite; I believe they'd become linux/in.h, linux/types.h, etc.
Moreover, a lot of the inclusions were indirect; for instance, the
#include directive for <sys/types.h> ultimately came from <afs/stds.h>
(copied from .../src/config/).  As such, I'm not convinced scouring
LINUX and rx will be entirely sufficient.

> and then see if that makes the build work?  You'll have to do this after
> make_kbuild_makefile.pl runs.  (If that's more complexity to testing than
> you can easily do, I'll be able to look at it eventually, but I don't have
> the new kbuild infrastructure installed anywhere yet.)

I should be able to do that, but I'm tired and on my way to bed, so
it'll have to wait until at least tomorrow.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 03:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 03:30:16 GMT) Full text and rfc822 format available.

Message #49 received at 521515@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: ucko@debian.org (Aaron M. Ucko)
Cc: 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sat, 28 Mar 2009 20:26:48 -0700
ucko@debian.org (Aaron M. Ucko) writes:

> Not quite; I believe they'd become linux/in.h, linux/types.h, etc.

Oh, good point.

> Moreover, a lot of the inclusions were indirect; for instance, the
> #include directive for <sys/types.h> ultimately came from <afs/stds.h>
> (copied from .../src/config/).  As such, I'm not convinced scouring
> LINUX and rx will be entirely sufficient.

Okay.  I think we can track down a list, though, and then
make_kbuild_makefile.pl can build the redirection headers.  That was a
good idea; I think that's the easiest way to solve this.

>> and then see if that makes the build work?  You'll have to do this
>> after make_kbuild_makefile.pl runs.  (If that's more complexity to
>> testing than you can easily do, I'll be able to look at it eventually,
>> but I don't have the new kbuild infrastructure installed anywhere yet.)
>
> I should be able to do that, but I'm tired and on my way to bed, so
> it'll have to wait until at least tomorrow.

Could you open a bug on the openafs package when you get a chance
(tomorrow or whenever) and we'll continue this there?  It looks like
OpenAFS can adapt, so since this change is intentional, no point in having
the kernel team read through the AFS-specific details.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sun, 29 Mar 2009 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 21:03:05 GMT) Full text and rfc822 format available.

Message #54 received at 521515@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Russ Allbery <rra@debian.org>
Cc: ucko@debian.org (Aaron M. Ucko), 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Sun, 29 Mar 2009 17:01:54 -0400
Russ Allbery <rra@debian.org> writes:

> Could you open a bug on the openafs package when you get a chance
> (tomorrow or whenever) and we'll continue this there?  It looks like

Filed as #521745.  Kernel maintainers, apologies for the topic drift here.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Mon, 30 Mar 2009 16:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 Mar 2009 16:30:06 GMT) Full text and rfc822 format available.

Message #59 received at 521515@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: 521515@bugs.debian.org
Subject: [linux-headers-2.6.29-1-amd64] 'Documented usage'?
Date: Mon, 30 Mar 2009 18:27:51 +0200
For me the new scheme breaks building the VMware Workstation kernel
modules as well as the standalone drm.git tree. Failure output from the
latter above.

Even assuming neither of these conform to the 'documented usage' of
kbuild (in which case I'd be interested in learning how to fix them),
this leaves me wondering if any benefits of the new scheme are really
worth breaking so many trees needing kernel headers?


make: Entering directory `/home/daenzer/src/mesa-git/drm/linux-core'
make -C /lib/modules/2.6.29-1-amd64/build  SUBDIRS=`/bin/pwd` DRMSRCDIR=`/bin/pwd` modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.29-1-amd64'
  CC [M]  /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.o
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:44:26: error: linux/module.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:45:26: error: linux/kernel.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:46:30: error: linux/miscdevice.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:47:22: error: linux/fs.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:48:27: error: linux/proc_fs.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:49:24: error: linux/init.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:50:24: error: linux/file.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:51:23: error: linux/pci.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:52:27: error: linux/version.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:53:25: error: linux/sched.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:54:54: error: linux/smp_lock.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:55:31: error: linux/dma-mapping.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:56:22: error: linux/mm.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:57:24: error: linux/kref.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:58:27: error: linux/pagemap.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:59:25: error: linux/mutex.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:63:20: error: asm/io.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:64:22: error: asm/mman.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:65:25: error: asm/uaccess.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:69:21: error: asm/agp.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:74:29: error: linux/workqueue.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:75:24: error: linux/poll.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:76:25: error: asm/pgalloc.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:77,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:75:46: error: asm/ioctl.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:77,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:569: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:672: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:827: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:839: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:854: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:914: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:939: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:954: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:960: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:965: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:971: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm.h:979: error: expected specifier-qualifier-list before ‘uint32_t’
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm.h:988,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:77,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:86: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:98: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:111: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:131: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:166: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:192: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:197: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:209: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:215: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:221: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:231: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:253: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_mode.h:264: error: expected specifier-qualifier-list before ‘uint32_t’
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:78:24: error: linux/slab.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:79:23: error: linux/idr.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:84,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:6:58: error: linux/interrupt.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:7:25: error: linux/delay.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:84,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h: In function ‘mtrr_add’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:59: error: ‘ENODEV’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:59: error: (Each undeclared identifier is reported only once
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:59: error: for each function it appears in.)
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h: In function ‘mtrr_del’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_os_linux.h:64: error: ‘ENODEV’ undeclared (first use in this function)
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:85,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_hashtab.h: At top level:
/home/daenzer/src/mesa-git/drm/linux-core/drm_hashtab.h:41: error: field ‘head’ has incomplete type
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:91:5: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:91:26: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:91:40: error: missing binary operator before token "("
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:178,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:59:6: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:59:27: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:59:41: error: missing binary operator before token "("
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:62:24: error: linux/cred.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:131:22: error: asm/page.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:178,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:139: warning: ‘struct vm_area_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:139: warning: its scope is only this definition or declaration, which is probably not what you want
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:146: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘vm_get_page_prot’
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:156:6: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:156:27: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:156:41: error: missing binary operator before token "("
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:184: warning: ‘struct vm_area_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:187: warning: ‘struct vm_area_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:190: warning: ‘struct vm_area_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:193: warning: ‘struct vm_area_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:196:6: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:196:27: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:196:41: error: missing binary operator before token "("
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:201:6: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:201:27: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:201:41: error: missing binary operator before token "("
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:208:6: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:208:27: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:208:41: error: missing binary operator before token "("
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:210:8: warning: "LINUX_VERSION_CODE" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:210:29: warning: "KERNEL_VERSION" is not defined
/home/daenzer/src/mesa-git/drm/linux-core/drm_compat.h:210:43: error: missing binary operator before token "("
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:300: warning: ‘struct file’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:319: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:325: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:327: error: expected specifier-qualifier-list before ‘pid_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:344: error: expected specifier-qualifier-list before ‘wait_queue_head_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:368: error: expected specifier-qualifier-list before ‘spinlock_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:374: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:385: error: expected specifier-qualifier-list before ‘dma_addr_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:415: error: expected specifier-qualifier-list before ‘pid_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:445: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:469: error: expected specifier-qualifier-list before ‘wait_queue_head_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:506: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:516: error: field ‘memory’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:535: error: expected specifier-qualifier-list before ‘dma_addr_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:549: error: field ‘fl_entry’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:550: error: field ‘ml_entry’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:559: error: field ‘fl_entry’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:560: error: field ‘ml_entry’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:568: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:571: error: expected specifier-qualifier-list before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:581: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:587: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:589: error: field ‘info’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:605: error: expected specifier-qualifier-list before ‘dma_addr_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:619: error: field ‘refcount’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:622: error: field ‘handlecount’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:634: error: expected specifier-qualifier-list before ‘size_t’
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:663,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:66: error: field ‘list’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:68: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:88: error: field ‘list’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:89: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:104: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:129: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:132: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:142: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:162: error: field ‘ring’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:163: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:172: error: expected specifier-qualifier-list before ‘rwlock_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:180: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:220: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:222: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:223: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:223: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:224: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:227: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:228: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:230: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:232: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:239: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:240: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:241: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:241: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:244: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:244: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:245: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:312: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:321: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:340: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:424: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:481: error: expected specifier-qualifier-list before ‘atomic_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:531: error: field ‘lru’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:532: error: field ‘pinned’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:533: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:544: error: expected specifier-qualifier-list before ‘wait_queue_head_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:559: error: field ‘evict_mutex’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:564: error: field ‘unfenced’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:565: error: field ‘ddestroy’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:566: error: field ‘wq’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:567: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:574: error: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:678: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:683: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:684: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:684: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:692: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:698: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:699: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:699: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:699: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:700: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:704: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:707: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:707: error: expected declaration specifiers or ‘...’ before ‘uint64_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:707: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:708: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:724: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:724: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:725: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:754: error: expected declaration specifiers or ‘...’ before ‘pgprot_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:764: error: field ‘head’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:766: error: expected specifier-qualifier-list before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:771: error: field ‘free’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:772: error: field ‘lru’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:773: error: field ‘unfenced’ has incomplete type
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:781: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drm_objects.h:782: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:679: error: expected declaration specifiers or ‘...’ before ‘pm_message_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:706: error: expected specifier-qualifier-list before ‘u32’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:804: error: expected specifier-qualifier-list before ‘dev_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:826: error: expected specifier-qualifier-list before ‘spinlock_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_core_check_feature’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:994: error: ‘struct drm_device’ has no member named ‘driver’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_mtrr_add’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1036: error: ‘ENODEV’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_mtrr_del’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1042: error: ‘ENODEV’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: At top level:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1057: warning: ‘struct pci_device_id’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1059: warning: ‘struct pci_dev’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1061: warning: ‘struct inode’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1070: warning: ‘struct inode’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1071: warning: ‘struct inode’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1073: warning: ‘struct inode’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1074: warning: ‘struct poll_table_struct’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1080: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘drm_io_prot’
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1083,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drm_memory.h:36:27: error: linux/highmem.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drm_memory.h:37:27: error: linux/vmalloc.h: No such file or directory
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1085: error: expected declaration specifiers or ‘...’ before ‘off_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1087: error: expected ‘)’ before ‘nmemb’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1088: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1088: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1091: error: expected declaration specifiers or ‘...’ before ‘u32’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1097: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1100: error: expected ‘)’ before ‘size’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1101: error: expected ‘)’ before ‘size’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1102: error: expected ‘)’ before ‘*’ token
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1107: error: expected ‘)’ before ‘low_threshold’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1243: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘drm_vblank_count’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1278: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1278: error: expected declaration specifiers or ‘...’ before ‘u32’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1280: error: expected declaration specifiers or ‘...’ before ‘off_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1286: warning: ‘struct pci_device_id’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1286: warning: ‘struct pci_dev’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1315: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1316: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1316: error: expected declaration specifiers or ‘...’ before ‘dma_addr_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1322: warning: ‘struct module’ declared inside parameter list
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1356: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_gem_object_reference’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1363: error: implicit declaration of function ‘kref_get’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_gem_object_unreference’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1368: error: ‘NULL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1371: error: implicit declaration of function ‘kref_put’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_gem_object_handle_unreference’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1387: error: ‘NULL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_core_findmap’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: implicit declaration of function ‘list_entry’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: ‘struct drm_device’ has no member named ‘maplist’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: expected expression before ‘typeof’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: warning: assignment makes pointer from integer without a cast
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: implicit declaration of function ‘prefetch’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: ‘struct drm_device’ has no member named ‘maplist’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: error: expected expression before ‘typeof’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1420: warning: assignment makes pointer from integer without a cast
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1421: error: ‘struct drm_map_list’ has no member named ‘user_token’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1423: error: ‘NULL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_device_is_agp’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1428: error: ‘struct drm_device’ has no member named ‘driver’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1428: error: ‘NULL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1429: error: ‘struct drm_device’ has no member named ‘driver’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1436: error: implicit declaration of function ‘pci_find_capability’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1436: error: ‘struct drm_device’ has no member named ‘pdev’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1436: error: ‘PCI_CAP_ID_AGP’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_device_is_pcie’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1441: error: ‘struct drm_device’ has no member named ‘pdev’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1441: error: ‘PCI_CAP_ID_EXP’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: At top level:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1450: error: expected ‘)’ before ‘size’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1456: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_free’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1458: error: implicit declaration of function ‘kfree’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: At top level:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1469: error: expected ‘)’ before ‘size’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1480: error: expected ‘)’ before ‘nmemb’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1492: error: expected declaration specifiers or ‘...’ before ‘size_t’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h: In function ‘drm_ctl_free’:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1494: error: ‘size’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1494: error: too many arguments to function ‘drm_free’
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:1495: error: implicit declaration of function ‘drm_free_memctl’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c: In function ‘drm_find_file’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:50: error: ‘NULL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:54: error: implicit declaration of function ‘mutex_lock’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:54: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:55: error: ‘struct drm_device’ has no member named ‘magiclist’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:56: error: implicit declaration of function ‘container_of’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:56: error: expected expression before ‘struct’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:56: warning: assignment makes pointer from integer without a cast
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:59: error: implicit declaration of function ‘mutex_unlock’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:59: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c: In function ‘drm_add_magic’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:79: error: implicit declaration of function ‘printk’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:79: error: ‘KERN_DEBUG’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:79: error: expected ‘)’ before string constant
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:81: error: implicit declaration of function ‘drm_alloc’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:81: warning: assignment makes pointer from integer without a cast
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:83: error: ‘ENOMEM’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:84: error: implicit declaration of function ‘memset’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:84: warning: incompatible implicit declaration of built-in function ‘memset’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:87: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:88: error: ‘struct drm_device’ has no member named ‘magiclist’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:89: error: implicit declaration of function ‘list_add_tail’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:89: error: ‘struct drm_device’ has no member named ‘magicfree’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:90: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c: In function ‘drm_remove_magic’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:109: error: ‘KERN_DEBUG’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:109: error: expected ‘)’ before string constant
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:111: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:112: error: ‘struct drm_device’ has no member named ‘magiclist’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:113: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:114: error: ‘EINVAL’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:116: error: expected expression before ‘struct’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:116: warning: assignment makes pointer from integer without a cast
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:117: error: ‘struct drm_device’ has no member named ‘magiclist’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:118: error: implicit declaration of function ‘list_del’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:119: error: ‘struct drm_device’ has no member named ‘struct_mutex’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:121: error: too many arguments to function ‘drm_free’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c: In function ‘drm_getmagic’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:142: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘lock’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:142: error: ‘lock’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:142: error: ‘SPIN_LOCK_UNLOCKED’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:143: warning: ISO C90 forbids mixed declarations and code
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:146: error: ‘struct drm_file’ has no member named ‘magic’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:147: error: ‘struct drm_file’ has no member named ‘magic’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:150: error: implicit declaration of function ‘spin_lock’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:154: error: implicit declaration of function ‘spin_unlock’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:156: error: ‘struct drm_file’ has no member named ‘magic’
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:160: error: ‘KERN_DEBUG’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:160: error: expected ‘)’ before string constant
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c: In function ‘drm_authmagic’:
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:182: error: ‘KERN_DEBUG’ undeclared (first use in this function)
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:182: error: expected ‘)’ before string constant
/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:188: error: ‘EINVAL’ undeclared (first use in this function)
make[4]: *** [/home/daenzer/src/mesa-git/drm/linux-core/drm_auth.o] Error 1
make[3]: *** [_module_/home/daenzer/src/mesa-git/drm/linux-core] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.29-1-amd64'
make: *** [modules] Error 2
make: Leaving directory `/home/daenzer/src/mesa-git/drm/linux-core'


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Mon, 30 Mar 2009 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 Mar 2009 17:42:02 GMT) Full text and rfc822 format available.

Message #64 received at 521515@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michel Dänzer <daenzer@debian.org>, 521515@bugs.debian.org
Subject: Re: Bug#521515: [linux-headers-2.6.29-1-amd64] 'Documented usage'?
Date: Mon, 30 Mar 2009 19:41:02 +0200
On Mon, Mar 30, 2009 at 06:27:51PM +0200, Michel Dänzer wrote:
> Even assuming neither of these conform to the 'documented usage' of
> kbuild (in which case I'd be interested in learning how to fix them),

Documented usage for out of tree building is
| make -C $DIR M=$(pwd)
or similar. The drm tree does not even survive this test.

> this leaves me wondering if any benefits of the new scheme are really
> worth breaking so many trees needing kernel headers?

It drasticaly reduces the amount of code needed to create the packages.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 31 Mar 2009 00:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Mar 2009 00:21:09 GMT) Full text and rfc822 format available.

Message #69 received at 521515@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Bastian Blank <waldi@debian.org>, 521515@bugs.debian.org
Cc: "Aaron M. Ucko" <ucko@debian.org>
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Mon, 30 Mar 2009 20:19:32 -0400
On Sat, Mar 28, 2009 at 11:28:07PM +0100, Bastian Blank wrote:
> severity 521515 wishlist
> tags 521515 wontfix
> thanks
> 
> On Fri, Mar 27, 2009 at 09:02:04PM -0400, Aaron M. Ucko wrote:
> >                                     As of 2.6.29-1, that no longer
> > holds, causing trouble for packages such as openafs-modules-source that
> > don't entirely defer to the kbuild framework.
> 
> There is no reliable way to detect the include paths of the kernel
> without using kbuild.
> 
> >                  but would appreciate it if you could please reinstate
> > the symlinks in the flavor-specific linux-headers packages.
> 
> Nope. At least not until you show that it breaks the _documented_ usage.

Out of couriosity (and to try and fix the nvidia driver build system)...
Documented by who?  Debian or the linux kernel?

It seems openafs, vmware, nvidia, and probably many others,
rely on the idea that there is a single directory with all the
kernel headers as configured for the current running kernel in
/lib/modules/<version>/build/, which was true up until the debian 2.6.29
linux-headers got released.

So did this change improve anything?  It certainly has made a lot of
work for a lot of people for what appears to have no benefit so far.

So where is the correct way to use kernel headers documented?

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 31 Mar 2009 06:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Mar 2009 06:39:02 GMT) Full text and rfc822 format available.

Message #74 received at 521515@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 521515@bugs.debian.org
Subject: Re: Bug#521515: 'Documented usage'?
Date: Tue, 31 Mar 2009 08:35:32 +0200
On Mon, 2009-03-30 at 19:41 +0200, Bastian Blank wrote:
> On Mon, Mar 30, 2009 at 06:27:51PM +0200, Michel Dänzer wrote:
> > Even assuming neither of these conform to the 'documented usage' of
> > kbuild (in which case I'd be interested in learning how to fix them),
> 
> Documented usage for out of tree building is
> | make -C $DIR M=$(pwd)
> or similar. The drm tree does not even survive this test.

It uses SUBDIRS=$(pwd), but changing that to M=$(pwd) fails in exactly
the same way.

In fact, not even manually creating the removed symlinks
in /usr/src/linux-headers-2.6.29-1-amd64 works for me, see below. Looks
like there's no -I stanza for /usr/src/linux-headers-2.6.29-1-*. And
even if I manually add -I stanzas so it can find all header files, it
still fails:

In file included from /usr/src/linux-headers-2.6.29-1-amd64/include/linux/prefetch.h:14,
                 from /usr/src/linux-headers-2.6.29-1-amd64/include/linux/list.h:6,
                 from /usr/src/linux-headers-2.6.29-1-amd64/include/linux/module.h:9,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drmP.h:44,
                 from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/usr/src/linux-headers-2.6.29-1-amd64/arch/x86/include/asm/processor.h:114: error: ‘CONFIG_X86_L1_CACHE_SHIFT’ undeclared here (not in a function)
/usr/src/linux-headers-2.6.29-1-amd64/arch/x86/include/asm/processor.h:114: error: requested alignment is not a constant


What kernel module tree(s) were you able to build using the new scheme?


make: Entering directory `/home/daenzer/src/mesa-git/drm/linux-core'
make -C /lib/modules/2.6.29-1-amd64/build  M=`/bin/pwd` DRMSRCDIR=`/bin/pwd` modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.29-1-amd64'
make -C /usr/src/linux-headers-2.6.29-1-amd64 \
	KBUILD_SRC=/usr/src/linux-headers-2.6.29-1-common \
	KBUILD_EXTMOD="/home/daenzer/src/mesa-git/drm/linux-core" -f /usr/src/linux-headers-2.6.29-1-common/Makefile \
	modules
test -e include/linux/autoconf.h -a -e include/config/auto.conf || (		\
	echo;								\
	echo "  ERROR: Kernel configuration is invalid.";		\
	echo "         include/linux/autoconf.h or include/config/auto.conf are missing.";	\
	echo "         Run 'make oldconfig && make prepare' on kernel src to fix it.";	\
	echo;								\
	/bin/false)
mkdir -p /home/daenzer/src/mesa-git/drm/linux-core/.tmp_versions ; rm -f /home/daenzer/src/mesa-git/drm/linux-core/.tmp_versions/*
make -f /usr/src/linux-headers-2.6.29-1-common/scripts/Makefile.build obj=/home/daenzer/src/mesa-git/drm/linux-core
   gcc-4.3 -I/home/daenzer/src/mesa-git/drm/linux-core -Wp,-MD,/home/daenzer/src/mesa-git/drm/linux-core/.drm_auth.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/4.3.3/include -D__KERNEL__  -I/home/daenzer/src/mesa-git/drm/linux-core -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Os -m64 -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -I/usr/src/linux-headers-2.6.29-1-common/arch/x86/include/asm/mach-default -Iarch/x86/include/asm/mach-default -fno-stack-protector -fomit-frame-pointer -Wdeclaration-after-statement -Wno-pointer-sign -fwrapv -D"GIT_REVISION=\"libdrm-2.4.5-61-ge2d7dfb61ad7a9736\"" -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(drm_auth)"  -D"KBUILD_MODNAME=KBUILD_STR(drm)" -c -o /home/daenzer/src/mesa-git/drm/linux-core/.tmp_drm_auth.o /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c
In file included from /home/daenzer/src/mesa-git/drm/linux-core/drm_auth.c:36:
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:44:26: error: linux/module.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:45:26: error: linux/kernel.h: No such file or directory
/home/daenzer/src/mesa-git/drm/linux-core/drmP.h:46:30: error: linux/miscdevice.h: No such file or directory
[...]

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 31 Mar 2009 07:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Mar 2009 07:15:10 GMT) Full text and rfc822 format available.

Message #79 received at 521515@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 521515@bugs.debian.org
Subject: Re: Bug#521515: 'Documented usage'?
Date: Tue, 31 Mar 2009 09:07:58 +0200
On Tue, 2009-03-31 at 08:35 +0200, Michel Dänzer wrote:
> On Mon, 2009-03-30 at 19:41 +0200, Bastian Blank wrote:
> > On Mon, Mar 30, 2009 at 06:27:51PM +0200, Michel Dänzer wrote:
> > > Even assuming neither of these conform to the 'documented usage' of
> > > kbuild (in which case I'd be interested in learning how to fix them),
> > 
> > Documented usage for out of tree building is
> > | make -C $DIR M=$(pwd)
> > or similar. The drm tree does not even survive this test.
> 
> It uses SUBDIRS=$(pwd), but changing that to M=$(pwd) fails in exactly
> the same way.
> 
> In fact, not even manually creating the removed symlinks
> in /usr/src/linux-headers-2.6.29-1-amd64 works for me, see below. Looks
> like there's no -I stanza for /usr/src/linux-headers-2.6.29-1-*. And
> even if I manually add -I stanzas so it can find all header files, it
> still fails:

[...]

Turns out this is a false alarm. :(

I still had a hacked-up linux-kbuild-2.6.29 installed from when it
wasn't available from the archive nor from
kernel-archive.buildserver.net. After upgrading to the version now
available in sid, both the VMware and DRM kernel modules build out of
the box.

So I guess consider this another request for providing linux-kbuild-*
packages immediately wherever they're referenced by any linux-headers-*
packages.


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 31 Mar 2009 08:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Mar 2009 08:18:02 GMT) Full text and rfc822 format available.

Message #84 received at 521515@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: 521515@bugs.debian.org, "Aaron M. Ucko" <ucko@debian.org>
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Tue, 31 Mar 2009 10:16:39 +0200
On Mon, Mar 30, 2009 at 08:19:32PM -0400, Lennart Sorensen wrote:
> Out of couriosity (and to try and fix the nvidia driver build system)...
> Documented by who?  Debian or the linux kernel?

Documentation/kbuild/modules.txt in the Linux source.

Bastian

-- 
Fascinating, a totally parochial attitude.
		-- Spock, "Metamorphosis", stardate 3219.8




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 31 Mar 2009 14:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Mar 2009 14:18:05 GMT) Full text and rfc822 format available.

Message #89 received at 521515@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Bastian Blank <waldi@debian.org>
Cc: 521515@bugs.debian.org, "Aaron M. Ucko" <ucko@debian.org>
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore symlinks into -common
Date: Tue, 31 Mar 2009 10:15:52 -0400
On Tue, Mar 31, 2009 at 10:16:39AM +0200, Bastian Blank wrote:
> On Mon, Mar 30, 2009 at 08:19:32PM -0400, Lennart Sorensen wrote:
> > Out of couriosity (and to try and fix the nvidia driver build system)...
> > Documented by who?  Debian or the linux kernel?
> 
> Documentation/kbuild/modules.txt in the Linux source.

OK, I will read that.

Of course now I have to figure out a way to fix nvidia's conftest.sh
script which tries a bunch of test builds to learn how a given kernel
version does things (like does a certain function take 4 or 5 arguments,
etc).  I suppose all stuff that could have been done with #ifdef's based
on the kernel version, but well they didn't.  I guess that means I
have to.

I must admit I am starting to wonder if it would be less effort to
volunteer to maintain the symlink code for the linux-headers package
than it will be to fix all the 3rd party module code that expects a
single directory for the headers.  So far this change seems like a small
reduction in work for the linux-headers package in exchange for a lot
of work for a lot of other people.  Not that these other packages perhaps
should have ever done it the way they do, but it has always worked,
at least if you build a kernel from source and point the 3rd party
modules at the source dir, it does what you want it to do.  The 2.6.29
linux-headers no longer do what you want them to do.  Now they only
work with kbuild and anything else that used to work is now broken.
Documented or not.  Just because it isn't documented doesn't mean it
doesn't work.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Tue, 07 Apr 2009 01:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jarod Watkins <jwatkins@jxxtech.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Apr 2009 01:57:02 GMT) Full text and rfc822 format available.

Message #94 received at 521515@bugs.debian.org (full text, mbox):

From: Jarod Watkins <jwatkins@jxxtech.net>
To: 521515@bugs.debian.org
Subject: Re: Bug#521515: linux-headers-2.6.29-1-amd64: please restore, symlinks into -common
Date: Mon, 06 Apr 2009 21:53:56 -0400
So what can someone do to compile the binary NVIDIA drivers? Does anyone 
have a list of files that I need to symlink? I have also tried 
downloading the linux-source-2.6.29 package, but that fails to provide 
some files the driver needs as well.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sat, 25 Apr 2009 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Apr 2009 13:27:05 GMT) Full text and rfc822 format available.

Message #99 received at 521515@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 521515@bugs.debian.org
Subject: This also affects the build of userland programs
Date: Sat, 25 Apr 2009 15:26:12 +0200
[Message part 1 (text/plain, inline)]
Hi!

This bug also affects how some userland programs are built. For example,
keepalived  checks kernel version  and presence  of net/ip_vs.h  file. I
suppose that there exists other  programs that need kernel include files
not available from libc.

Since 2.6.29, configuring keepalived will not build IPVS support because
ip_vs.h file  is not  found. If --kernel-dir  is passed  to ./configure,
then, it is  unable to find the kernel version  because while ip_vs.h is
in -common, utsrelease.h is in -amd64 (for example).

Debian package circumvents this  difficulty by shipping ip_vs.h. But the
point  is that  a lambda  user will  have difficulties  to  compile this
program from upstream sources.
-- 
I WILL NOT FAKE SEIZURES
I WILL NOT FAKE SEIZURES
I WILL NOT FAKE SEIZURES
-+- Bart Simpson on chalkboard in episode 8F23
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-headers-2.6.29-1-amd64. (Sat, 25 Apr 2009 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Apr 2009 20:12:06 GMT) Full text and rfc822 format available.

Message #104 received at 521515@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Vincent Bernat <bernat@debian.org>, 521515@bugs.debian.org
Subject: Re: Bug#521515: This also affects the build of userland programs
Date: Sat, 25 Apr 2009 22:07:53 +0200
On Sat, Apr 25, 2009 at 03:26:12PM +0200, Vincent Bernat wrote:
> Debian package circumvents this  difficulty by shipping ip_vs.h. But the
> point  is that  a lambda  user will  have difficulties  to  compile this
> program from upstream sources.

The contents of the this packages are _not_ for use by userspace
programs. Kbuild is only able to build kernel parts. If the userspace
headers (linux-libc-dev package) lacks to provide the userspace
interface in question, work with Linux upstream to get them properly
included.

Bastian

-- 
Star Trek Lives!




Bug reassigned from package `linux-headers-2.6.29-1-amd64' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 10 May 2009 07:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-2.6. (Wed, 14 Apr 2010 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paolo Saggese <NOSPAM@nowhere.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Apr 2010 17:51:07 GMT) Full text and rfc822 format available.

Message #111 received at 521515@bugs.debian.org (full text, mbox):

From: Paolo Saggese <NOSPAM@nowhere.net>
To: 521515@bugs.debian.org
Subject: alsa-source is affected by this as well?
Date: Wed, 14 Apr 2010 19:36:06 +0200
Hi,

since kernel 2.6.29 it have become impossible to (re)build the ALSA drivers 
from the "alsa-source" package via module-assistant or whatever (there are 
specific open bug reports about that).

Could it be that it depends on this same problem?


Ciao,
                                Paolo.

--
http://borex.lngs.infn.it/saggese
You can still escape from the GATES of hell: Use Linux!
Save a tree: 
please don't print this e-mail unless you really need to.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-2.6. (Wed, 14 Apr 2010 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Apr 2010 19:15:06 GMT) Full text and rfc822 format available.

Message #116 received at 521515@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Paolo Saggese <NOSPAM@nowhere.net>, 521515@bugs.debian.org
Subject: Re: Bug#521515: alsa-source is affected by this as well?
Date: Wed, 14 Apr 2010 21:04:41 +0200
On Wed, Apr 14, 2010 at 07:36:06PM +0200, Paolo Saggese wrote:
> Hi,
> 
> since kernel 2.6.29 it have become impossible to (re)build the ALSA drivers 
> from the "alsa-source" package via module-assistant or whatever (there are 
> specific open bug reports about that).
> 
> Could it be that it depends on this same problem?

use alsa in linux-2.6 if has a trouble report against it.

thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521515; Package linux-2.6. (Wed, 14 Apr 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Apr 2010 22:24:03 GMT) Full text and rfc822 format available.

Message #121 received at 521515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paolo Saggese <NOSPAM@nowhere.net>, 521515@bugs.debian.org
Subject: Re: Bug#521515: alsa-source is affected by this as well?
Date: Wed, 14 Apr 2010 23:20:44 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-04-14 at 19:36 +0200, Paolo Saggese wrote:
> Hi,
> 
> since kernel 2.6.29 it have become impossible to (re)build the ALSA drivers 
> from the "alsa-source" package via module-assistant or whatever (there are 
> specific open bug reports about that).
> 
> Could it be that it depends on this same problem?

This is a bug in alsa-source, but it doesn't matter as there is no
longer any reason to use it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 27 Jun 2013 17:48:58 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Thu, 27 Jun 2013 17:48:58 GMT) Full text and rfc822 format available.

Message #126 received at 521515-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 483781-done@bugs.debian.org, 521515-done@bugs.debian.org, 558265-done@bugs.debian.org, 572639-done@bugs.debian.org, 586386-done@bugs.debian.org, 609961-done@bugs.debian.org, 630788-done@bugs.debian.org, 633589-done@bugs.debian.org, 639919-done@bugs.debian.org, 642005-done@bugs.debian.org, 705711-done@bugs.debian.org
Subject: Closing
Date: Thu, 27 Jun 2013 19:45:22 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and has
been tagged "wontfix" for some time, we're closing it now.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Jul 2013 07:29:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:10:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.